# Get List of Supported Crypto Currency for Settlement

This endpoint allows you to retrieve detailed information the list of supported Crypto Currency in which the payment transaction will be finally settled to the Merchant Account.

#### Endpoint

<mark style="color:green;">**`GET`**</mark>`https://api.tylt.money/h2h/in/upi/getCryptoCurrencyListForPrime`

**Request Headers**

{% tabs %}
{% tab title="Headers" %}

<table data-full-width="true"><thead><tr><th width="133">Name</th><th width="79">Type</th><th width="167">Example</th><th>Description</th></tr></thead><tbody><tr><td>X-TLP-APIKEY</td><td>string</td><td>93ee3c5e133697251b5362bcf9cc8532476785t8768075616f58d88</td><td>Your Tylt API Key, used to identify your account in API requests.</td></tr><tr><td>X-TLP-SIGNATURE</td><td>string</td><td>d0afef3853dfc8489c8b9affa5825171fdd7y7685675e4966a05f66ed2b3eaf9462b3c9c0</td><td>HMAC SHA-256 signature generated using the API Secret Key to secure the request.</td></tr></tbody></table>
{% endtab %}
{% endtabs %}

{% hint style="info" %}
When using the API, ensure to include your API Key and generate the signature for the request payload using your API Secret. The tables provided above contain example values for illustration purposes only. Please refer to the code snippets for detailed instructions on how to sign the request and generate the signature properly.
{% endhint %}

**Code Snippet**

{% tabs %}
{% tab title="Node JS" %}

```javascript
const axios = require('axios');
const crypto = require('crypto');


const url = `https://api.tylt.money/h2h/in/upi/getCryptoCurrencyListForPrime`;

const apiKey = 'your-api-key';
const secretKey = 'your-secret-key';

// Create HMAC SHA-256 signature (no params for this request)
const signature = crypto
  .createHmac('sha256', secretKey)
  .update('{}') // No parameters to sign
  .digest('hex');

const config = {
  method: 'get',
  url: url,
  headers: {
    'Content-Type': "application/json",
    'X-TLP-APIKEY': apiKey,
    'X-TLP-SIGNATURE': signature
  }
};

axios.request(config)
  .then((response) => {
    console.log(JSON.stringify(response.data));
  })
  .catch((error) => {
    console.error(error);
  });

```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import hmac
import hashlib
import json

# API Keys
api_key = "your-api-key"
api_secret = "your-secret-key"

# API Endpoint
url = "https://api.tylt.money/h2h/in/upi/getCryptoCurrencyListForPrime"

# Request Payload (Params)
params = {}

# Create the signature based on JSON body
def create_signature(api_secret, params_string):
    return hmac.new(
        api_secret.encode('utf-8'),
        params_string.encode('utf-8'),
        hashlib.sha256
    ).hexdigest()

# Convert payload to JSON string in a consistent format
params_string = json.dumps(params, separators=(',', ':'), ensure_ascii=False)
signature = create_signature(api_secret, params_string)

# Headers
headers = {
    'X-TLP-APIKEY': api_key,
    'X-TLP-SIGNATURE': signature,
    'Content-Type': 'application/json'
}

response = requests.get(url, headers=headers, params=params)
print(response.text)
```

{% endtab %}
{% endtabs %}

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "msg": "",
    "data": [
        {
            "cryptoCurrencySymbol": "USDT",
            "cryptoCurrencyName": "Tether",
            "minAmount": 1,
            "maxAmount": 1000000,
            "precisionDecimal": 2
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tylt.money/introduction/tylt-crossramp-fiat-crypto-solutions/india-inr/upi-payin-inr-usdt-or-h2h/get-list-of-supported-crypto-currency-for-settlement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
